=== debian/changelog ===
yorick-z (1.2.0+cvs20080115-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Use secure URI in Homepage field.
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * Remove patch 01_Makefile.dpatch that is missing from debian/patches/series.
  * watch file standard 4 (routine-update)
  * d/rules:
     - ignore failures in dh_auto_clean
     - do not set DEB_HOST_ARCH

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2025 18:36:24 +0100

yorick-z (1.2.0+cvs20080115-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965917)

 -- Adrian Bunk <bunk@debian.org>  Wed, 19 Jan 2022 12:59:55 +0200

yorick-z (1.2.0+cvs20080115-5) unstable; urgency=low

  * Comply with Debian Science Policy
  * Update copyright to adopted machine-readable format
  * Minimize debian/rules
  * Use a patch to configure
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 13:30:43 +0200

yorick-z (1.2.0+cvs20080115-4) unstable; urgency=low

  * deactivate checks on ia64 untill we found out why it failed.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 Jun 2012 21:51:49 +0200

yorick-z (1.2.0+cvs20080115-3) unstable; urgency=low

  * Bug fix: "Please Build-Depends on libpng-dev, change from
    libpng12-dev", thanks to Nobuhiro Iwamatsu (Closes: #662574).
  * Checked against standards 3.9.3
  * Run test suite as part of build process

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Mar 2012 11:25:17 +0100

yorick-z (1.2.0+cvs20080115-2) unstable; urgency=low

  * Change section to "science" (package already moved there)
  * Bug fix: "Please Build-Depends on libjpeg-dev, not libjpeg62-dev",
    thanks to Bill Allombert (Closes: #647112).
  * Bumped policy to 3.9.2
  * Remove dpatch, move to format "3.0 (quilt)"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 19 Dec 2011 21:18:12 +0100

yorick-z (1.2.0+cvs20080115-1) unstable; urgency=low

  * New upstream release (from cvs)
  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-z.{packinfo,keywords}
  * debian/copyright: updated and converted to the machine-readable format
    proposed at http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 16:30:55 +0100

yorick-z (1.2-1) unstable; urgency=low

  * Initial Release. Closes: #366710

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 22 Sep 2007 15:32:20 +0200
