=== debian/control ===
Source: yorick-z
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libjpeg-dev,
               libpng-dev,
               yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-z
Vcs-Git: https://salsa.debian.org/science-team/yorick-z.git
Homepage: https://yorick.sourceforge.net

Package: yorick-z
Architecture: any
Depends: yorick,
         ${shlibs:Depends},
         ${misc:Depends}
Description: zlib, jpeg and png support for the Yorick language
 This is a compiled add-on for yorick (an interpreted computer language
 specialized for numerical and scientific problems).  Yorick-z adds
 support for zlib (the data compression system used by gzip), png (a
 lossless image compression format), and jpeg (a lossy image compression
 format).
