=== debian/watch ===
version=4
http://sf.net/yorick/yorick-z-([^-]*)\.tgz
